Skip to main content
GET
cURL

Query Parameters

serviceName
string

Service name filter

severityMin
enum<number>

Minimum severity Log severity number following OTel specification (1-24)

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24
severityMax
enum<number>

Maximum severity Log severity number following OTel specification (1-24)

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24
traceId
string

Trace ID filter Unique trace identifier (32 lowercase hex characters)

Required string length: 32
Pattern: ^[a-f0-9]{32}$
Example:

"0af7651916cd43dd8448eb211c80319c"

startTime
string<date-time>

Start time

endTime
string<date-time>

End time

query
string

Free text search

limit
integer<int32>
default:100

Page size

Required range: 1 <= x <= 10000
cursor
string

Cursor

orderBy
enum<string>

Order Log ordering options

Available options:
timestamp_asc,
timestamp_desc,
severity_asc,
severity_desc

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)